VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo:

## Classes
class | Type

## Avaliable Methods
public method | get_fields ()
public method | get_enumerations ()
public method | set_type ()
public method | get_documentation ()
public method | set_constants ()
public method | get_constants ()
public method | set_name ()
public method | set_metadata ()
public method | get_metadata ()
public method | set_documentation ()
public method | set_fields ()
public method | set_enumerations ()
public method | new ()
public method | get_type ()
public method | get_name ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo` class contains the metamodel information of all the field elements, constant elements and enumeration elements contained in the structure element.

In the interface definition language, API designers have the ability to include all the fields from one structure to another structure. This is done by using an annotation `\@Include` on the structure in which we want to add the fields. If this annotation is present, the list of fields in the `Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo` will also contain the fields that are being included. The annotation information is also retained in the :attr:`Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo.metadata` element as well.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::get_constants | ( |  | ) |

Gets the value of 'constants' property.

Return values

  constants | - The current value of the field. Metamodel information of all the constant elements contained in the structure element. The key in the map is the name of the constant element and the value in the map is the metamodel information for the constant element. Map#

Code:
click to view
# Number of lines of code in get_constants: 4
sub get_constants {
my ($self, %args) = @_;
return $self->{'constants'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::get_documentation | ( |  | ) |

Gets the value of 'documentation' property.

Return values

  documentation | - The current value of the field. English language documentation for a structure element. It can contain HTML markup and Javadoc tags. The first sentence of the structure documentation is a complete sentence that identifies the structure by name and summarizes the purpose of the structure. String#

Code:
click to view
# Number of lines of code in get_documentation: 4
sub get_documentation {
my ($self, %args) = @_;
return $self->{'documentation'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::get_enumerations | ( |  | ) |

Gets the value of 'enumerations' property.

Return values

  enumerations | - The current value of the field. Metamodel information of all the enumeration elements contained in the structure element. The key in the map is the identifier of the enumeration element and the value is the metamodel information of the enumeration element. Map#

Code:
click to view
# Number of lines of code in get_enumerations: 4
sub get_enumerations {
my ($self, %args) = @_;
return $self->{'enumerations'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::get_fields | ( |  | ) |

Gets the value of 'fields' property.

Return values

  fields | - The current value of the field. Metamodel information of all the field elements. The order of the field elements in the list matches the order in which the fields are defined in the service. List#

Code:
click to view
# Number of lines of code in get_fields: 4
sub get_fields {
my ($self, %args) = @_;
return $self->{'fields'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::get_metadata | ( |  | ) |

Gets the value of 'metadata' property.

Return values

  metadata | - The current value of the field. Generic metadata elements for the structure element. The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for keys in the map .

Map#

Code:
click to view
# Number of lines of code in get_metadata: 4
sub get_metadata {
my ($self, %args) = @_;
return $self->{'metadata'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::get_name | ( |  | ) |

Gets the value of 'name' property.

Return values

  name | - The current value of the field. Dot separated name of the structure element. The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention. String#

Code:
click to view
# Number of lines of code in get_name: 4
sub get_name {
my ($self, %args) = @_;
return $self->{'name'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Type of the structure. Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 28
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{name} = $args{'name'};
$self->{type} = $args{'type'};
$self->{enumerations} = $args{'enumerations'};
$self->{constants} = $args{'constants'};
$self->{fields} = $args{'fields'};
$self->{metadata} = $args{'metadata'};
$self->{documentation} = $args{'documentation'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.metamodel.structure_info');
$self->set_binding_field('key' => 'name', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'StructureInfo::Type'));
$self->set_binding_field('key' => 'enumerations', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'EnumerationInfo')}))));
$self->set_binding_field('key' => 'constants', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ConstantInfo')}))));
$self->set_binding_field('key' => 'fields', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'FieldInfo')));
$self->set_binding_field('key' => 'metadata', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Metamodel', 'type_name' => 'ElementMap')}))));
$self->set_binding_field('key' => 'documentation', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::set_constants | ( |  | ) |

Sets the given value for 'constants' property.

Parameters

  constants | - New value for the field. Metamodel information of all the constant elements contained in the structure element. The key in the map is the name of the constant element and the value in the map is the metamodel information for the constant element.

Code:
click to view
# Number of lines of code in set_constants: 5
sub set_constants {
my ($self, %args) = @_;
$self->{'constants'} = $args{'constants'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::set_documentation | ( |  | ) |

Sets the given value for 'documentation' property.

Parameters

  documentation | - New value for the field. English language documentation for a structure element. It can contain HTML markup and Javadoc tags. The first sentence of the structure documentation is a complete sentence that identifies the structure by name and summarizes the purpose of the structure.

Code:
click to view
# Number of lines of code in set_documentation: 5
sub set_documentation {
my ($self, %args) = @_;
$self->{'documentation'} = $args{'documentation'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::set_enumerations | ( |  | ) |

Sets the given value for 'enumerations' property.

Parameters

  enumerations | - New value for the field. Metamodel information of all the enumeration elements contained in the structure element. The key in the map is the identifier of the enumeration element and the value is the metamodel information of the enumeration element.

Code:
click to view
# Number of lines of code in set_enumerations: 5
sub set_enumerations {
my ($self, %args) = @_;
$self->{'enumerations'} = $args{'enumerations'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::set_fields | ( |  | ) |

Sets the given value for 'fields' property.

Parameters

  fields | - New value for the field. Metamodel information of all the field elements. The order of the field elements in the list matches the order in which the fields are defined in the service.

Code:
click to view
# Number of lines of code in set_fields: 5
sub set_fields {
my ($self, %args) = @_;
$self->{'fields'} = $args{'fields'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::set_metadata | ( |  | ) |

Sets the given value for 'metadata' property.

Parameters

  metadata | - New value for the field. Generic metadata elements for the structure element. The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The class Com::Vmware::Vapi::Metadata::Metamodel::MetadataIdentifier contains possible string values for keys in the map .

Code:
click to view
# Number of lines of code in set_metadata: 5
sub set_metadata {
my ($self, %args) = @_;
$self->{'metadata'} = $args{'metadata'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::set_name | ( |  | ) |

Sets the given value for 'name' property.

Parameters

  name | - New value for the field. Dot separated name of the structure element. The segments in the name reflect the organization of the APIs. The format of each segment is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

Code:
click to view
# Number of lines of code in set_name: 5
sub set_name {
my ($self, %args) = @_;
$self->{'name'} = $args{'name'};
return;
}

public method Com::Vmware::Vapi::Metadata::Metamodel::StructureInfo::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Type of the structure.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Metamodel/StructureInfo.pm